curl --request POST \
--url https://sandbox.dollarpe.xyz/pos/api/v1/remittance-payout/initiate \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'X-SIGNATURE: <api-key>' \
--header 'X-TIMESTAMP: <api-key>' \
--data '
{
"quotation_id": "2e104290-07c8-49f1-a5ca-0d27f0078f8a",
"customer_id": "def8b740-99f9-4cba-bc9e-99de57e927b4",
"remitter_id": "e14fa86f-2a5e-437a-a031-949c68ade933",
"client_reference_id": "testUser123",
"transaction_hash": ""
}
'import requests
url = "https://sandbox.dollarpe.xyz/pos/api/v1/remittance-payout/initiate"
payload = {
"quotation_id": "2e104290-07c8-49f1-a5ca-0d27f0078f8a",
"customer_id": "def8b740-99f9-4cba-bc9e-99de57e927b4",
"remitter_id": "e14fa86f-2a5e-437a-a031-949c68ade933",
"client_reference_id": "testUser123",
"transaction_hash": ""
}
headers = {
"X-API-KEY": "<api-key>",
"X-TIMESTAMP": "<api-key>",
"X-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-KEY': '<api-key>',
'X-TIMESTAMP': '<api-key>',
'X-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
quotation_id: '2e104290-07c8-49f1-a5ca-0d27f0078f8a',
customer_id: 'def8b740-99f9-4cba-bc9e-99de57e927b4',
remitter_id: 'e14fa86f-2a5e-437a-a031-949c68ade933',
client_reference_id: 'testUser123',
transaction_hash: ''
})
};
fetch('https://sandbox.dollarpe.xyz/pos/api/v1/remittance-payout/initiate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"data": {
"id": "5b75096f-de8d-44b4-9230-d94e6948abb6",
"quotation_id": "2e104290-07c8-49f1-a5ca-0d27f0078f8a",
"customer_id": "def8b740-99f9-4cba-bc9e-99de57e927b4",
"remitter_id": "e14fa86f-2a5e-437a-a031-949c68ade933",
"bank_id": "e75f62f0-db9e-4904-8103-d6f14f67f5dc",
"asset": "USDT",
"fiat": "INR",
"rate": 82.5,
"sending_amount": 51,
"receiving_amount": 4144.6,
"client_reference_id": "testUser123",
"fees": {
"client_fee_fiat": 450,
"client_fee_crypto": 5,
"dollarpe_fee": 450,
"pg_fee": 18,
"client_gst_fiat": 81,
"client_gst_crypto": 0.9,
"dollarpe_gst": 81,
"pg_gst": 81,
"tds": 889.17,
"gross_effective_exchange_rate": 88.92
},
"status": "PROCESSING",
"created_at": "2026-07-02T11:42:35.031177Z"
}
}{
"status": false,
"message": "Bad Request",
"err_code": "REQ_FIELD_MISSING",
"errors": {
"remitter_id": [
"This field is required."
]
},
"data": null
}{
"success": false,
"message": "Internal Server Error",
"err_code": "SYS_INTERNAL_ERROR",
"errors": "Unexpected error occurred. Please try again later.",
"data": null
}Create Payout
Creates a payout for a remittance-user flow — identical to Create Payout, with a required remitter_id.
Remittance Payout
Error Codes and Messages
| API Status Code | Response | Reason |
|---|---|---|
| 400 | Bad Request | remitter_id (or another required field) is missing |
| 400 | Client Reference ID already exists | Client Reference ID already exists |
| 400 | Quotation is not found | Quotation does not exist or does not belong to this organization |
| 400 | Quotation has expired | Quotation has expired |
| 400 | Quotation is already linked to another payout | Quotation is already linked to another payout |
| 400 | Unable to process payout. Please try again. | The partner order-creation step failed; the payout is rolled back and not created |
| 500 | Internal Server Error | Internal Server Error |
Authorizations
API Key for authentication
Current timestamp in seconds since epoch
HMAC SHA256 signature of the request encoded in Base64
Body
The unique identifier of the quotation, obtained from POST /remittance-payout/quotation
"2e104290-07c8-49f1-a5ca-0d27f0078f8a"
The unique identifier of the customer
"def8b740-99f9-4cba-bc9e-99de57e927b4"
The unique identifier of the remitter, obtained from POST /kyc/remitter/create. Stored on the payout for record-keeping and echoed back in the response; not sent to any partner call.
"e14fa86f-2a5e-437a-a031-949c68ade933"
Optional client reference ID for tracking.
"testUser123"
On-chain transaction hash of the crypto deposit. Required for organizations not on the prefunding flow; omit on the prefunding flow (the payout debits the prefunded balance).
""

